Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class AbstractEmptinessExpression

    java.lang.Object
      org.hibernate.criterion.AbstractEmptinessExpression

All Implemented Interfaces:
  Serializable, Criterion

Direct Known Subclasses:
  EmptyExpression, NotEmptyExpression

    public abstract class AbstractEmptinessExpression

extends Object
implements Criterion

Implementation of AbstractEmptinessExpression.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`protected String` | `propertyName`

Constructor Summary
`protected` | `AbstractEmptinessExpression(String propertyName)`

Method Summary
`protected abstract boolean` | `excludeEmpty()`
`protected QueryableCollection` | `getQueryableCollection(String entityName, String propertyName, SessionFactoryImplementor factory)`
`TypedValue[]` | `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propertyName

    protected final String propertyName

Constructor Detail

### AbstractEmptinessExpression

    protected AbstractEmptinessExpression(String propertyName)

Method Detail

### excludeEmpty

    protected abstract boolean excludeEmpty()

### toSqlString

    public final String toSqlString(Criteria criteria,
                                    CriteriaQuery criteriaQuery)
                             throws HibernateException

  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Returns:
    String
  Throws:
    `HibernateException`

### getQueryableCollection

    protected QueryableCollection getQueryableCollection(String entityName,
                                                         String propertyName,
                                                         SessionFactoryImplementor factory)
                                                  throws HibernateException

  Throws:
    `HibernateException`

### getTypedValues

    public final TypedValue[] getTypedValues(Criteria criteria,
                                             CriteriaQuery criteriaQuery)
                                      throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `criteria` - TODO
  Returns:
    TypedValue[]
  Throws:
    `HibernateException`

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD